Home Information Classes Download Usage Mail List Requirements Links FAQ Tutorial

# stk::Vector3D Class Reference

STK 3D vector class. More...

`#include <Vector3D.h>`

Inheritance diagram for stk::Vector3D:

List of all members.

## Public Member Functions
| Vector3D (StkFloat x=0.0, StkFloat y=0.0, StkFloat z=0.0)
| Default constructor taking optional initial X, Y, and Z values.
StkFloat | getX (void)
| Get the current X value.
StkFloat | getY (void)
| Get the current Y value.
StkFloat | getZ (void)
| Get the current Z value.
StkFloat | getLength (void)
| Calculate the vector length.
void | setXYZ (StkFloat x, StkFloat y, StkFloat z)
| Set the X, Y, and Z values simultaniously.
void | setX (StkFloat x)
| Set the X value.
void | setY (StkFloat y)
| Set the Y value.
void | setZ (StkFloat z)
| Set the Z value.

## Detailed Description

STK 3D vector class.

This class implements a three-dimensional vector.

by Perry R. Cook, 1995 - 2010.

The documentation for this class was generated from the following file:

- Vector3D.h

The Synthesis ToolKit in C++ (STK)
©1995-2010 Perry R. Cook and Gary P. Scavone. All Rights Reserved.